Retrieve SCIM Provider
Retrieve a JSON that describes the SCIM specification features available on the currently authenticated Vault.
GET
/api/{version}/scim/v2/ServiceProviderConfigHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/scim+json |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://veepharm.com/api/v23.1/scim/v2/ServiceProviderConfigResponse
Section link for Response{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
],
"documentationUri": "https://developer.veevavault.com",
"patch": {
"supported": false
},
"bulk": {
"supported": false,
"maxOperations": 0,
"maxPayloadSize": 0
},
"filter": {
"supported": false,
"maxResults": 1000
},
"changePassword": {
"supported": false
},
"sort": {
"supported": true
},
"etag": {
"supported": false
},
"authenticationSchemes": [
{
"name": "OAuth Bearer Token",
"description": "Authentication scheme using the OAuth Bearer Token Standard",
"type": "oauthbearertoken",
"primary": true
}
],
"meta": {
"resourceType": "ServiceProviderConfig",
"location": "https://promomats-template.vaultdev.com/api/v23.1/scim/v2/ServiceProviderConfig"
}
}Response Details
Section link for Response DetailsThe attributes returned in the JSON object are defined in Section 5 of RFC7643